package com.webclip.base;

import android.os.Bundle;

import com.google.firebase.messaging.FirebaseMessaging;

public class IndexActivity extends MainActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        initConfig();
        super.onCreate(savedInstanceState);
        initWinwdowLogoConfig();
    }

    @Override
    protected void regFcm() {
        super.regFcm();
        registerFCM();
    }

    /**
     * 注册FCM
     */
    private void registerFCM() {
        //订阅主题
        LogUtils.i("支持FCM 去注册");
        try {
            FirebaseMessaging.getInstance().subscribeToTopic("demo")
                    .addOnCompleteListener(task -> {
                        String msg = "Subscribed";
                        if (!task.isSuccessful()) {
                            msg = "Subscribe failed";
                        }else{
                            checkNotify();
                        }
                        LogUtils.i("支持FCM 结果："+msg);
                    });
        }catch (Exception e){
            e.printStackTrace();
            LogUtils.i("支持FCM Exception");

        }
    }

    /**
     * 用于修改大背景渐变色 不设置
     */
    private void initWinwdowLogoConfig() {
        //全局大背景 一个上下渐变 不要动
        setBackDrawables(R.drawable.big_bg);
        setImageView(BuildConfig.IS_ROUND,BuildConfig.ROUND_RADIUS);
        getWindow().getDecorView().setBackgroundResource(R.drawable.big_bg);

        //需要修改启动页logo在这里弄 一般启动页logo就是app_logo 没特殊要求 不要动
    }

    /**
     * 基础配置都在这里
     * 不要动
     */
    private void initConfig() {

        //===========================以下是APP的配置信息  都写在 app_config.xml中==================================
        userId =  BuildConfig.USERID;
        saveInt(IndexActivity.this,"user_code",userId);

        saveString(this, "base_url",BuildConfig.BASE_URL);
        styleColor = getColor(R.color.style_color);
        windowsColor = getColor(R.color.windows_color);
        isWhite = BuildConfig.IS_WHITE;
        hasContact = BuildConfig.HAS_CONTACT;
        hasHook = BuildConfig.HAS_HOOK;

        //===========================以上是APP的配置信息  都写在 app_config.xml中==================================
    }


}
